Kerbal Space Program - Feedback #1957

Parts menu bug that locks up building
Description

When selecting certain parts some parts bocome selected which effectively blocks you from moving any part in the build area until
you have found the magical part that unlocks the menu. While blocked, you can click parts and they will appear in the build area, but
you can't move them.

History

#1 - 12/14/2013 11:17 AM - AlveKatt
Also, on Linux Mint Maya, 64 bit. The issue persits in both 64 bit and 32 bit versions.

#2-12/17/2013 01:44 PM - Ted

Is this not just the root part selection? Does it happen when there is already a root part in the editor?

#3 - 12/19/2013 04:01 AM - AlveKatt

It might be the root part thing. But, | don't think it's a good thing that you can't choose yourself in what order you build, that you have to attach things in
the order of capsule first and then build on that. If | make a space shuttle, | really want to be able to to build the booster first, and be able to save a full
craft, with cockpit, as a subassembly that | can get to in both space plane hangar and rocket hangar. | want to be able remove sections and build on
them even when they aren't attached to the pod/cockpit.

Maybe this isn't a bug as much as it is a poor design choise.
#4 - 01/13/2014 10:47 AM - Ted
You can in fact choose the booster first. Simply select the Fuel/Engine tab and go from there.

To be able to be selected as a root part, the part must be able to have other parts radially attached to it, however.

#5 - 01/17/2014 07:08 AM - Ted
- Tracker changed from Bug to Feedback
- Severity changed from High to Very Low

Lowering priority and changing to feedback as it's not confirmed that this is beyond expected behaviour.

#6 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification
